Return all stages of a pipeline
curl --request GET \
--url https://api.hubapi.com/crm/v3/pipelines/{objectType}/{pipelineId}/stages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/pipelines/{objectType}/{pipelineId}/stages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/pipelines/{objectType}/{pipelineId}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234912",
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Stages
Return all stages of a pipeline
Return all the stages associated with the pipeline identified by {pipelineId}.
GET
/
crm
/
v3
/
pipelines
/
{objectType}
/
{pipelineId}
/
stages
Return all stages of a pipeline
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
Show child attributes
Show child attributes
Last modified on March 30, 2026
Was this page helpful?
⌘I